﻿using Vintagestory.API.Common;
using Vintagestory.API.Server;

namespace nooffhandhunger
{
    public class NoOffhandHunger : ModSystem
    {
        private ICoreServerAPI _serverApi;

        public override void StartServerSide(ICoreServerAPI api)
        {
            _serverApi = api;
            api.Event.RegisterGameTickListener(DontChangeHungerTicker, 500);
        }

        private void DontChangeHungerTicker(float t1)
        {
            foreach (var worldLoadedEntity in _serverApi.World.LoadedEntities)
            {
                worldLoadedEntity.Value.Stats.Remove("hungerrate", "offhanditem");
            }
        }
    }
    
}